Index: /trunk/modelicaml/org.openmodelica.modelicaml.modelica.importer/src/org/openmodelica/modelicaml/modelica/importer/views/ModelicaOMCCodeViewer.java
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.modelica.importer/src/org/openmodelica/modelicaml/modelica/importer/views/ModelicaOMCCodeViewer.java	(revision 1631)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.modelica.importer/src/org/openmodelica/modelicaml/modelica/importer/views/ModelicaOMCCodeViewer.java	(revision 1632)
@@ -88,4 +88,5 @@
 import org.openmodelica.modelicaml.modelica.importer.model.TreeObject;
 import org.openmodelica.modelicaml.modelica.importer.model.TreeParent;
+import org.openmodelica.modelicaml.modelica.importer.model.Utilities;
 
 public class ModelicaOMCCodeViewer extends ViewPart {
@@ -417,6 +418,6 @@
 			if (!viewer.getExpandedState(obj)) {
 				actionExpandCollapse.setText("Expand");
-//				actionExpandCollapse.setImageDescriptor(PlatformUI.getWorkbench().getSharedImages().getImageDescriptor(ISharedImages.IMG_OBJ_ADD));
 				actionExpandCollapse.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/expand.gif"));
+
 				// Disable expand action when the reload sub tree job is running
 				if (reloadSubTreeJob.getState() == Job.RUNNING) {
@@ -429,5 +430,4 @@
 			else {
 				actionExpandCollapse.setText("Collapse");
-//				actionExpandCollapse.setImageDescriptor(PlatformUI.getWorkbench().getSharedImages().getImageDescriptor(ISharedImages.IMG_ELCL_COLLAPSEALL));
 				actionExpandCollapse.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/collapse.gif"));
 
@@ -620,6 +620,5 @@
 								IProject iProject = root.getProject(projectName);
 
-//								treeBuilder.deleteOMCLoadingMarkers(iProject);
-								org.openmodelica.modelicaml.modelica.importer.model.Utilities.deleteOMCLoadingMarkers(iProject);
+								Utilities.deleteOMCLoadingMarkers(iProject);
 								
 								// build tree
@@ -640,103 +639,8 @@
 					}
 				}
-				
-				//******************************** Using ProgressMonitor
-//				try {
-//					new ProgressMonitorDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell()).run(true, true, treeBuilder);
-//
-//					Object[] expandedElements = viewer.getExpandedElements();
-//					TreePath[] expandedTreePaths = viewer.getExpandedTreePaths();
-//					
-//					TreeObject[] children = treeRoot.getChildren();
-//					for (int i = 0; i < children.length; i++) {
-//						treeRoot.removeChild(children[i]);
-//					}
-//					
-//					treeBuilder.buildTree(treeRoot);
-//					
-//					if (treeRoot.hasChildren()) {
-//						actionSynchronize.setEnabled(true);
-//					}
-//					else {
-//						actionSynchronize.setEnabled(false);
-//					}
-//
-//					viewer.setInput(getViewSite());
-//					
-//					viewer.setExpandedElements(expandedElements);
-//					viewer.setExpandedTreePaths(expandedTreePaths);
-//
-//				} catch (InvocationTargetException e) {
-//					// TODO Auto-generated catch block
-//					e.printStackTrace();
-//				} catch (InterruptedException e) {
-//					// TODO Auto-generated catch block
-//					e.printStackTrace();
-//				}
-				
-
-				//************************** Using a GUI Job
-//				UmlModel umlModel = UmlUtils.getUmlModel();
-//				Object ModelicaMLRoot = null;
-//				try {
-//					ModelicaMLRoot = umlModel.lookupRoot();
-//				} catch (NotFoundException e) {
-//					// TODO Auto-generated catch block
-//					e.printStackTrace();
-//				}
-//				
-//				ServicesRegistry serviceRegistry = null;
-//				TransactionalEditingDomain editingDomain = null;
-//				try {
-//					serviceRegistry = ServiceUtilsForActionHandlers.getInstance().getServiceRegistry();
-//					editingDomain = ServiceUtils.getInstance().getTransactionalEditingDomain(serviceRegistry);
-//				} catch (ServiceException e) {
-//					// TODO Auto-generated catch block
-//					e.printStackTrace();
-//				}
-//				
-//				
-//				if (serviceRegistry != null && editingDomain != null && ModelicaMLRoot != null && umlModel != null) {
-//					UIJob UIjob = new UIJob("Loading Modelica models ...") {
-//						public IStatus runInUIThread(IProgressMonitor monitor) {
-//							
-//							Object[] expandedElements = viewer.getExpandedElements();
-//							TreePath[] expandedTreePaths = viewer.getExpandedTreePaths();
-//							
-//							TreeObject[] children = treeRoot.getChildren();
-//							for (int i = 0; i < children.length; i++) {
-//								treeRoot.removeChild(children[i]);
-//							}
-//
-//							treeBuilder.buildTree(treeRoot);
-//							
-//							if (treeRoot.hasChildren()) {
-//								actionSynchronize.setEnabled(true);
-//							}
-//							else {
-//								actionSynchronize.setEnabled(false);
-//							}
-//
-//							viewer.setInput(getViewSite());
-//							
-//							viewer.setExpandedElements(expandedElements);
-//							viewer.setExpandedTreePaths(expandedTreePaths);
-//							
-//							return Status.OK_STATUS;
-//						}
-//					};
-//					UIjob.setUser(true);
-//					UIjob.schedule();
-//				}
-//				else {
-//					MessageDialog.openError(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), "Invocation error", "Could not load Modelica models.");
-//				}
 			}
 		};
 		actionReload.setText("(Re)Load All");
 		actionReload.setToolTipText("(Re)Load All");
-//		actionReload.setImageDescriptor(PlatformUI.getWorkbench().getSharedImages().getImageDescriptor(ISharedImages.IMG_DEF_VIEW));
-//		actionReload.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/load.png"));
-//		actionReload.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/import_obj.gif"));
 		actionReload.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/import_resource_wiz.gif"));
 		
@@ -747,5 +651,4 @@
 				for (int i = 0; i < children.length; i++) {
 					viewer.collapseToLevel(children[i], AbstractTreeViewer.ALL_LEVELS);
-//					viewer.collapseToLevel(children[i], 1); // collapse current element in the tree
 				}			
 			}
@@ -789,5 +692,4 @@
 		actionRefreshAndValidate.setText("Validate All");
 		actionRefreshAndValidate.setToolTipText("Validate All");
-//		actionRefresh.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/reload.png"));
 		actionRefreshAndValidate.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/validate_co.gif"));
 		actionRefreshAndValidate.setEnabled(false);
@@ -820,6 +722,6 @@
 				IProject iProject = root.getProject(projectName);
 
-//				treeBuilder.deleteOMCLoadingMarkers(iProject);
-				org.openmodelica.modelicaml.modelica.importer.model.Utilities.deleteOMCLoadingMarkers(iProject);
+				Utilities.deleteOMCLoadingMarkers(iProject);
+				
 				// collapse the tree root and refresh
 				viewer.setExpandedState(treeRoot, false);
@@ -1018,87 +920,4 @@
 			public void run() {
 				
-				//********** with ProgressMonitor
-//				try {
-//					new ProgressMonitorDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell()).run(true, true,
-//							new IRunnableWithProgress() {
-//								@Override
-//								public void run(final IProgressMonitor monitor)
-//										throws InvocationTargetException,
-//										InterruptedException {
-//									monitor.beginTask("Creating ModelicaML Proxies ...",IProgressMonitor.UNKNOWN);
-//									
-//									for (int total = 1; total < 2; total++) {
-//										if (monitor.isCanceled())
-//											throw new OperationCanceledException();
-//										Thread.sleep(1000l); //TODO [20100506] CAN BE DELETED
-//										
-//										switch (total) {
-//										case 1:
-//											monitor.setTaskName("Creating ModelicaML Elements ...");
-//											getSite().getShell().getDisplay().asyncExec(new Runnable() {
-//												public void run() {
-//													ModelicaMLElementsCreator ec = new ModelicaMLElementsCreator();
-//													TreeObject[] modelicaRoots = treeRoot.getChildren();
-//													for (int i = 0; i < modelicaRoots.length; i++) {
-//														TreeObject treeObject = modelicaRoots[i];
-//														EObject modelicaRoot = ec.createProxyRoot(treeObject.getName());
-//														
-//														if (modelicaRoot instanceof Element && treeObject instanceof TreeParent) {
-//															ec.createClasses((Element)modelicaRoot, (TreeParent)treeObject, false);
-//														}
-//													}
-//												}
-//											});
-//											monitor.worked(1);
-//											break;
-//										case 2:
-//											monitor.setTaskName("Step: " + total + ", Creating ModelicaML Elements ...");
-//											getSite().getShell().getDisplay().asyncExec(new Runnable() {
-//												public void run() {
-//
-//												}
-//											});
-//											monitor.worked(2);
-//											break;
-//										default:
-//											break;
-//										}
-//									}
-//									monitor.done();
-//								}
-//							});
-//				} catch (InvocationTargetException e) {
-//					e.printStackTrace();
-//				} catch (InterruptedException e) {
-//					System.out.println("InterruptedException");
-//				} catch (OperationCanceledException e){
-//					System.out.println("OperationCanceledException");
-//				}
-								
-				
-				//***************** simple
-//				ModelicaMLElementsCreator ec = new ModelicaMLElementsCreator();
-//				TreeObject[] modelicaRoots = treeRoot.getChildren();
-//				for (int i = 0; i < modelicaRoots.length; i++) {
-//					TreeObject treeObject = modelicaRoots[i];
-//					EObject modelicaRoot = ec.createProxyRoot(treeObject.getName());
-//					
-//					if (modelicaRoot instanceof Element && treeObject instanceof TreeParent) {
-//						try {
-//							new ProgressMonitorDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell()).run(true, true, ec);
-//							ec.createClasses((Element)modelicaRoot, (TreeParent)treeObject, false);
-//						} catch (InvocationTargetException e) {
-//							// TODO Auto-generated catch block
-//							e.printStackTrace();
-//						} catch (InterruptedException e) {
-//							// TODO Auto-generated catch block
-//							e.printStackTrace();
-//						}
-//						
-////						ec.createClasses((Element)modelicaRoot, (TreeParent)treeObject, false);
-//					}
-//				}
-				
-				
 				if (!EditorServices.isVisiblePapyrusModelExplorerView()) {
 					MessageDialog.openError(getSite().getShell(), "Modelica Model Proxies Synchronization Error", 
@@ -1162,16 +981,7 @@
 										
 					if (createProxiesAfterLoadingModelicaClasses) {
+
 						// no dialog. use default values
-						
-//							// default values
-//							boolean applyProxyStereotype = true;
-//							boolean update = true;
-//							boolean deleteNotUsedProxies = false;
-						
 						Job job = createSynchJob(
-//								serviceRegistry, 
-//								editingDomain, 
-//								umlModel, 
-//								ModelicaMLRoot, 
 								applyProxyStereotype, 
 								update, 
@@ -1221,31 +1031,9 @@
 						}
 					}
-						
-//							UIJob UIjob = new UIJob("Create ModelicaML Proxies ...") {
-//							
-//							public IStatus runInUIThread(IProgressMonitor monitor) {
-//								ModelicaMLElementsCreator ec = new ModelicaMLElementsCreator(serviceRegistry, editingDomain, umlModel, ModelicaMLRoot);
-//								TreeObject[] modelicaRoots = treeRoot.getChildren();
-//								for (int i = 0; i < modelicaRoots.length; i++) {
-//									
-//									TreeObject treeObject = modelicaRoots[i];
-//									
-//									EObject modelicaRoot = ec.createProxyRoot(treeObject.getName());
-//									ec.createClasses((Element)modelicaRoot, (TreeParent)treeObject, false);
-//								}
-//								return Status.OK_STATUS;
-//							}
-//							
-//							
-//						};
-//						UIjob.setUser(true);
-//						UIjob.schedule();
-					}
+				}
 			}
 		};
 		actionSynchronize.setText("Synchronize All");
 		actionSynchronize.setToolTipText("Synchronize All");
-//		actionSynchronize.setImageDescriptor(PlatformUI.getWorkbench().getSharedImages().getImageDescriptor(ISharedImages.IMG_ELCL_SYNCED));
-//		actionSynchronize.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/compare.png"));
 		actionSynchronize.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/copy_edit.gif"));
 		actionSynchronize.setEnabled(false);
@@ -1267,6 +1055,4 @@
 		actionLoadSubTree.setText("(Re)Load Sub-Tree");
 		actionLoadSubTree.setToolTipText("(Re)Load Sub-Tree");
-//		actionLoadSubTree.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/load.png"));
-//		actionLoadSubTree.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/import_obj.gif"));
 		actionLoadSubTree.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/import_resource_wiz.gif"));
 		
@@ -1287,5 +1073,4 @@
 		actionSynchronizeSubTree.setText("Synchronize Sub-Tree");
 		actionSynchronizeSubTree.setToolTipText("Synchronize Sub-Tree");
-//		actionSynchronizeSubTree.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/compare.png"));
 		actionSynchronizeSubTree.setImageDescriptor(ImageDescriptor.createFromFile(Activator.class, "/icons/copy_edit.gif"));
 		
@@ -1666,6 +1451,5 @@
 					ec.deleteInvalidProxyElements(treeObject.getQName());
 					
-//					treeBuilder.deleteProxyValidationMarkers(getProject(), treeObject.getQName());
-					org.openmodelica.modelicaml.modelica.importer.model.Utilities.deleteProxyValidationMarkers(getProject(), treeObject.getQName());
+					Utilities.deleteProxyValidationMarkers(getProject(), treeObject.getQName());
 				}
 				
@@ -1676,5 +1460,4 @@
 				if (project != null && treeObject.getModelicaMLProxy() != null) {
 					treeBuilder.validateProxies(project, (TreeParent)treeObject);
-//					System.err.println("Validating sub-tree starting with " + parent.getName());
 				}
 				else {
@@ -1729,5 +1512,4 @@
 					if (project != null && parent.getModelicaMLProxy() != null) {
 						treeBuilder.validateProxies(project, parent);
-//						System.err.println("Validating sub-tree starting with " + parent.getName());
 					}
 					else{
@@ -1948,9 +1730,4 @@
 						
 						treeBuilder.setModelsToBeExcluded(modelsToBeExcluded);
-						
-//						IWorkspace workspace = ResourcesPlugin.getWorkspace();
-//						IWorkspaceRoot root = workspace.getRoot();
-//						IProject iProject = root.getProject(projectName);
-//						treeBuilder.deleteOMCMarkers(iProject);
         				
 					}
Index: /trunk/modelicaml/org.openmodelica.modelicaml.product/META-INF/MANIFEST.MF
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.product/META-INF/MANIFEST.MF	(revision 1631)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.product/META-INF/MANIFEST.MF	(revision 1632)
@@ -7,3 +7,17 @@
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.8.0",
- org.eclipse.ui.intro
+ org.eclipse.ui.intro,
+ org.eclipse.e4.ui.workbench;bundle-version="0.10.2",
+ org.eclipse.e4.core.commands;bundle-version="0.10.1",
+ org.eclipse.e4.core.contexts;bundle-version="1.1.0",
+ org.eclipse.e4.core.di;bundle-version="1.1.0",
+ org.eclipse.e4.ui.bindings;bundle-version="0.10.1",
+ org.eclipse.e4.ui.css.core;bundle-version="0.10.1",
+ org.eclipse.e4.ui.css.swt;bundle-version="0.10.1",
+ org.eclipse.e4.ui.di;bundle-version="0.10.1",
+ org.eclipse.e4.ui.services;bundle-version="0.10.1",
+ org.eclipse.e4.ui.widgets;bundle-version="0.12.0",
+ org.eclipse.e4.ui.workbench.addons.swt;bundle-version="0.10.1",
+ org.eclipse.e4.ui.workbench.renderers.swt;bundle-version="0.10.1",
+ org.eclipse.e4.ui.workbench.swt;bundle-version="0.10.1",
+ org.eclipse.e4.ui.workbench3;bundle-version="0.12.0"
Index: /trunk/modelicaml/org.openmodelica.modelicaml.product/ModelicaML.product
===================================================================
--- /trunk/modelicaml/org.openmodelica.modelicaml.product/ModelicaML.product	(revision 1631)
+++ /trunk/modelicaml/org.openmodelica.modelicaml.product/ModelicaML.product	(revision 1632)
@@ -2,5 +2,5 @@
 <?pde version="3.5"?>
 
-<product name="ModelicaML" id="org.openmodelica.modelicaml.product.product" application="org.eclipse.ui.ide.workbench" version="1.0.0.qualifier" useFeatures="false" includeLaunchers="true">
+<product name="ModelicaML" id="org.openmodelica.modelicaml.product.product" application="org.eclipse.e4.ui.workbench.swt.E4Application" version="1.0.0.qualifier" useFeatures="true" includeLaunchers="true">
 
    <aboutInfo>
@@ -22,5 +22,4 @@
    <windowImages i16="/org.openmodelica.modelicaml.common/icons/logos/ModelicaML_logo_16x16.png" i32="/org.openmodelica.modelicaml.common/icons/logos/ModelicaML_logo_32x32.png" i48="/org.openmodelica.modelicaml.common/icons/logos/ModelicaML_logo_48x48.png" i64="/org.openmodelica.modelicaml.common/icons/logos/ModelicaML_logo_64x64.png" i128="/org.openmodelica.modelicaml.common/icons/logos/ModelicaML_logo_128x128.png"/>
 
-
    <launcher name="ModelicaML">
       <solaris/>
@@ -29,5 +28,4 @@
       </win>
    </launcher>
-
 
    <vm>
